/*
  Running Squiz Matrix
  Developed by Squiz - http://www.squiz.net
  Squiz, Squiz Matrix, MySource, MySource Matrix and Squiz.net are registered Trademarks of Squiz Pty Ltd
  Page generated: 20 June 2026 02:47:53
*/


.gallery-container {
  max-width: 2400px;
  margin: 20px auto;
  position: relative;
  transition: transform 0.3s ease-in-out;
}

.gallery-slide-content {
  width: 100%;
  height: 100%;
  visibility: hidden;
display: flex;
justify-content: center;
  background: #111111;
}

.gallery-slide-content img {
  max-width: 100%;
  max-height: 100%;
  object-fit: contain;
}

.gallery-slide {
  position: relative;
  width: 100%;
  aspect-ratio: 16/9;
  background-color: #fff;
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
}

.gallery-slide img {
  max-width: 100%;
  max-height: 100%;
  object-fit: contain;
  display: block;
}

.gallery-caption {
  text-align: left;
  padding: 16px;
  background: #f6f6f6;
}

.gallery-navigation {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  font-size: 24px;
  color: white;
  background: rgba(17, 17, 17, 0.50);
  border: none;
  cursor: pointer;
  font-family: 'Font Awesome 6 Pro';
  font-weight: 900;
  padding: 8px;
  border-radius: 999px;
  height: 48px;
  width: 48px;
}

.gallery-navigation:hover {
  background: rgba(75, 75, 75, 0.75);
}

.prev {
  left: 10px;
}

.next {
  right: 10px;
}

.pause-button {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: rgba(0, 0, 0, 0.3);
  color: white;
  border: none;
  font-size: 24px;
  padding: 5px 10px;
  cursor: pointer;
  z-index: 1;
  border-radius: 999px;
  width: 48px;
  height: 48px;
}

.pause-button:hover {
  background: rgba(75, 75, 75, 0.75);
}

.expand-button {
  position: absolute;
  bottom: 10px;
  right: 10px;
  background: rgba(0, 0, 0, 0.3);
  color: white;
  border: none;
  cursor: pointer;
  font-size: 24px;
  padding: 5px 10px;
  border-radius: 6px;
}

.expand-button:hover {
  background: rgba(0, 0, 0, 0.3);
}

.gallery-thumbnails {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 10px 0;
  position: relative;
}

.thumbnail-container-wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  overflow: hidden;
}

.thumbnail-container {
  display: flex;
  justify-content: start;
  padding: 10px 15px;
  flex-wrap: nowrap;
  width: 100%;
  transition: transform 0.3s ease-in-out;
}

.thumbnail {
    width: 100px;
    aspect-ratio: 16 / 9; /* Match aspect ratio */
    margin: 5px;
    border: 3px solid transparent;
    overflow: hidden;
    transition: transform 0.3s ease;
    cursor: pointer;
}

.thumbnail img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.thumbnail.active {
  outline: solid 2px #472d8c;
  transform: scale(1.1);
}

.thumbnail-prev-button, .thumbnail-next-button {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background-color: transparent;
  border: none;
  font-size: 24px;
  cursor: pointer;
  color: #111;
  background: #ffffffcc;
  width: 32px;
  height: 32px;
  border-radius: 999px;
  z-index: 1;
}

.thumbnail-prev-button:hover, .thumbnail-next-button:hover {
  background: #ffffff;
}

.thumbnail-prev-button {
  left: 10px;
}

.thumbnail-next-button {
  right: 10px;
}

.thumbnail-prev-button.hidden, .thumbnail-next-button.hidden {
  visibility: hidden;
}

.centre-thumbnails {
    justify-content: center; /* Center thumbnails when less than 6*/
}

.gallery-pagination {
  position: absolute;
  bottom: 10px;
  left: 10px;
  color: white;
  font-size: 18px;
  background-color: rgba(0, 0, 0, 0.3);
  padding: 5px 10px;
  border-radius: 6px;
}

.modal {
  display: none;
  position: fixed;
  z-index: 1000;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.9);
}

.modal-content {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  max-width: 90%;
  max-height: 90%;
}

.modal-content img {
  max-width: 100%;
  max-height: 100%;
  object-fit: contain;
}

.close-button {
  position: absolute;
  top: 10px;
  right: 20px;
  font-size: 40px;
  color: white;
  cursor: pointer;
}

@media (max-width: 991px) {
  .thumbnail {
    flex: 0 0 calc((100% / 3.5) - 10px);
  }
}

@media (min-width: 992px) {
  .thumbnail {
    flex: 0 0 calc((100% / 5.5) - 10px);
  }
}

@media only screen and (min-width: 0px) and (max-width: 991px) {
  .gallery-navigation {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    font-size: 16px;
    color: white;
    background: rgba(17, 17, 17, 0.50);
    border: none;
    cursor: pointer;
    font-family: 'Font Awesome 6 Pro';
    font-weight: 900;
    padding: 8px;
    border-radius: 999px;
    height: 32px;
    width: 32px;
  }
  .pause-button {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: rgba(17, 17, 17, 0.50);
    color: white;
    border: none;
    font-size: 16px;
    padding: 5px 10px;
    cursor: pointer;
    z-index: 1;
    border-radius: 999px;
    width: 32px;
    height: 32px;
  }
}